Subject: [OSPF] OSPFv3: Intra-area-prefix LSA generation v/s Multiple Interface to Single Link

From: "Keshava.Ayanur" <[email-masked]>
Date: Fri, 17 Jul 2009 20:13:30 +0530

Hi,

As per RFC-5340 (4.4.3.9) during Intra-area-prefix LSA origination by DR, it
should check the Neighbor's state and interface-id,  in order to copy the
list of prefixes from  the Link-LSA into intra-area-prefix LSA.

But there is a conflicting statement in the RFC for Intra-area-prefix LSA
generation in the RFC section (4.4.3.9) and (4.9).

In 4.4.3.9 Section::

Intra-area-prefix LSA

If router 'A' has multiple interfaces on the link and router 'B' is DR for

the link, then according to RFC, prefixes in link-LSA associated with

standby interface will not be included in intra-area-prefix LSA generated by

DR 'B' for the link, because Link state ID of standby interface's Link-LSA

will not match neighbor's(A) interface ID.

Each link-LSA associated with Link L is examined (these are in the

Designated Router's interface structure for Link L).  If the link-

LSA's Advertising Router is fully adjacent to the Designated

Router and the Link State ID matches the neighbor's interface ID,

the list of prefixes in the link-LSA is copied into the intra-

area-prefix-LSA that is being built.

In 4.9 Section:: 

Intra-area-prefix LSA generation for prefixes on standby interface

Prefixes on Standby Interfaces will be processed the same way as

prefixes on the Active Interface.  For example, if the router is

the DR for the link, the Active Interface's prefixes are included

in an intra-area-prefix-LSA which is associated with the Active

Interface's network-LSA, prefixes from Standby Interfaces on the

link will also be included in that intra-area-prefix LSA.

                   ---RFC 5340 (4.9) ---

---

From: Acee Lindem <[email-masked]>
Date: Mon, 20 Jul 2009 11:28:43 -0400

Keshava,
The formal description of Intra-area-prefix LSA generation in 4.4.3.9  
is authoritative and should be followed. Section 4.9 discusses the  
additional/different processing when a router has OSPFv3 multiple  
interfaces on the same link. The text you excerpted is simply an  
example of like processing between the active and standby interfaces  
and is not meant to supersede the formal LSA generation description.  
This should be obvious from the context of these sections.
Thanks,
Acee

On Jul 17, 2009, at 10:43 AM, Keshava.Ayanur wrote:

> Hi,
>
>
>
> As per RFC-5340 (4.4.3.9) during Intra-area-prefix LSA origination  
> by DR, it should check the Neighbor’s state and interface-id,  in  
> order to copy the list of prefixes from  the Link-LSA into intra- 
> area-prefix LSA.
>
> But there is a conflicting statement in the RFC for Intra-area- 
> prefix LSA generation in the RFC section (4.4.3.9) and (4.9).
>
>
>
>
>
> In 4.4.3.9 Section::
>
> Intra-area-prefix LSA
>
> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf